Bug 41532 - Content missing when printing document containing page-break-inside:avoid
Summary: Content missing when printing document containing page-break-inside:avoid
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Printing (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Major
Assignee: Andy Estes
URL:
Keywords: HasReduction, InRadar
Depends on:
Blocks:
 
Reported: 2010-07-02 12:59 PDT by Andy Estes
Modified: 2010-07-07 01:56 PDT (History)
8 users (show)

See Also:


Attachments
test case (341 bytes, text/html)
2010-07-02 12:59 PDT, Andy Estes
no flags Details
test case (254 bytes, text/html)
2010-07-02 13:33 PDT, Andy Estes
no flags Details
test case (251 bytes, text/html)
2010-07-02 16:21 PDT, Andy Estes
no flags Details
rolling-out-page-break-inside-avoid (3.23 KB, patch)
2010-07-05 02:22 PDT, Hayato Ito
no flags Details | Formatted Diff | Diff
rolling-out-page-break-inside-avoid-fix-expected (3.80 KB, patch)
2010-07-05 21:24 PDT, Hayato Ito
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andy Estes 2010-07-02 12:59:00 PDT
Created attachment 60392 [details]
test case

When the attached test case in printed in Safari, the text 'THIS TEXT DISAPPEARS WHEN PRINTED.' is not included in the output.  Instead, three blank pages are printed.
Comment 1 Andy Estes 2010-07-02 12:59:13 PDT
<rdar://problem/8129536>
Comment 2 Andy Estes 2010-07-02 13:02:55 PDT
page-break-inside:avoid was implemented in <http://trac.webkit.org/changeset/54929>.
Comment 3 Andy Estes 2010-07-02 13:33:08 PDT
Created attachment 60398 [details]
test case

Simplified the original test case by removing the table.
Comment 4 Mark Rowe (bdash) 2010-07-02 13:34:40 PDT
The test case as-is doesn’t reproduce for me unless I resize the window vertically smaller until there is a vertical scrollbar.
Comment 5 Mark Rowe (bdash) 2010-07-02 13:35:35 PDT
Ah, the new one doesn’t have that problem!
Comment 6 Andy Estes 2010-07-02 16:21:33 PDT
Created attachment 60416 [details]
test case

Using percentages for block heights.
Comment 7 Dave Hyatt 2010-07-02 18:18:48 PDT
The original change should be rolled out.  What's checked in does more harm than good in its present state.
Comment 8 Hayato Ito 2010-07-05 01:36:14 PDT
Okay. It might be better to revert the original change. I'll revert it.

(In reply to comment #7)
> The original change should be rolled out.  What's checked in does more harm than good in its present state.
Comment 9 Hayato Ito 2010-07-05 02:22:09 PDT
Created attachment 60506 [details]
rolling-out-page-break-inside-avoid
Comment 10 WebKit Commit Bot 2010-07-05 10:37:50 PDT
Comment on attachment 60506 [details]
rolling-out-page-break-inside-avoid

Rejecting patch 60506 from commit-queue.

Failed to run "['WebKitTools/Scripts/run-webkit-tests', '--no-launch-safari', '--exit-after-n-failures=1', '--ignore-tests', 'compositing', '--quiet']" exit_code: 1
Last 500 characters of output:
tree
Compiling Java tests
make: Nothing to be done for `default'.
Running tests from /Users/eseidel/Projects/CommitQueue/LayoutTests
Skipped list contained 'compositing/iframes/composited-iframe.html', but no file of that name could be found
Testing 19289 test cases.
fast/multicol/break-properties.html -> failed

Exiting early after 1 failures. 14313 tests run.
213.95s total testing time

14312 test cases (99%) succeeded
1 test case (<1%) had incorrect layout
1 test case (<1%) had stderr output

Full output: http://webkit-commit-queue.appspot.com/results/3382320
Comment 11 Hayato Ito 2010-07-05 21:24:55 PDT
Created attachment 60581 [details]
rolling-out-page-break-inside-avoid-fix-expected
Comment 12 Hayato Ito 2010-07-05 21:27:50 PDT
I've fixed the expected result of fast/multicol/break-properties.html, which is also expected to fail.

(In reply to comment #11)
> Created an attachment (id=60581) [details]
> rolling-out-page-break-inside-avoid-fix-expected
Comment 13 WebKit Commit Bot 2010-07-07 01:06:32 PDT
Comment on attachment 60581 [details]
rolling-out-page-break-inside-avoid-fix-expected

Clearing flags on attachment: 60581

Committed r62632: <http://trac.webkit.org/changeset/62632>
Comment 14 WebKit Commit Bot 2010-07-07 01:06:38 PDT
All reviewed patches have been landed.  Closing bug.
Comment 15 WebKit Review Bot 2010-07-07 01:56:47 PDT
http://trac.webkit.org/changeset/62632 might have broken GTK Linux 32-bit Release and Qt Linux Release
The following changes are on the blame list:
http://trac.webkit.org/changeset/62632
http://trac.webkit.org/changeset/62633